Module ij
Package ij.plugin

# Class DragAndDrop

java.lang.Object
ij.plugin.DragAndDrop

All Implemented Interfaces:
  `PlugIn`, `DropTargetListener`, `Runnable`, `EventListener`

public class DragAndDrop extends Object implements PlugIn, DropTargetListener, Runnable
This class opens images, roi's, luts and text files dragged and dropped on the "ImageJ" window. It is based on the Draw_And_Drop plugin by Eric Kischell (keesh@ieee.org). 10 November 2006: Albert Cardona added Linux support and an option to open all images in a dragged folder as a stack.

## Constructor Summary

Constructors
Constructor
Description
`DragAndDrop()`

## Method Summary

Modifier and Type
Method
Description
`void`
`dragEnter(DropTargetDragEvent e)`
`void`
`dragExit(DropTargetEvent e)`
`void`
`dragOver(DropTargetDragEvent e)`
`void`
`drop(DropTargetDropEvent dtde)`
`void`
`dropActionChanged(DropTargetDragEvent e)`
`void`
`openFile(File f)`
Open a file.
`void`
`run()`
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DragAndDrop

public DragAndDrop()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### drop

public void drop(DropTargetDropEvent dtde)

Specified by:
  `drop` in interface `DropTargetListener`

### dragEnter

public void dragEnter(DropTargetDragEvent e)

Specified by:
  `dragEnter` in interface `DropTargetListener`

### dragOver

public void dragOver(DropTargetDragEvent e)

Specified by:
  `dragOver` in interface `DropTargetListener`

### dragExit

public void dragExit(DropTargetEvent e)

Specified by:
  `dragExit` in interface `DropTargetListener`

### dropActionChanged

public void dropActionChanged(DropTargetDragEvent e)

Specified by:
  `dropActionChanged` in interface `DropTargetListener`

### run

public void run()

Specified by:
  `run` in interface `Runnable`

### openFile

public void openFile(File f)
Open a file. If it's a directory, ask to open all images as a sequence in a stack or individually.